//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine) 
// October 2000
//
#ifndef EPPROC_H
#define EPPROC_H

#include<EpicProc.h>
#include<Proc.h>

class Epproc : public EpicProc {
public:
  Epproc();
  
private:
  
  void init_pimpl();
  
  //  void preProcessExposureHook(Proc::ScienceExposure&);
  //  void postProcessExposureHook(Proc::ScienceExposure&);
  
  //AI(26/04/2005): New method to handle with the exposure process.
  void processExposure(Proc::ScienceExposure&);

  void frames(const OdfSet *);
  
  //AI: epreject call
  void epreject(const OdfSet *);

  bool couldRunBadpixfindOn(const OdfSet *);

  void badpix(const OdfSet *);
  void events(const OdfSet *);
  
  //  void finalize(const OdfSet *);
  void finalizeHook(const OdfSet *);  
  void screenExposure(const Proc::ScienceExposure&);
 
 //  void postProcessExposure(Proc::ScienceExposure& exp);

  void combineHook(ParameterInfo&);

};

#endif
